Subject: Re: zsh on Vista
From: Seth Kurtzberg <[email-masked]>
To: "Peter A. Castro" <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Apr 2007 18:51:52 +0000
List-Id: <cygwin.cygwin.com>

On Mon, 23 Apr 2007 10:28:17 -0700 (PDT)
"Peter A. Castro" <[email-masked]> wrote:

> On Sun, 22 Apr 2007, sethk wrote:
> 
> >
> > I've had some success using a different version of zsh on vista.
> >
> > In the UnxUtils package, there is a version of zsh, named sh.  (Not copied
> > or linked to zsh, for whatever reason, and, I should say, named sh.exe.)
> 
> Two things:
> 1) that's a win32 native exe, not a cygwin exe.
> 2) named 'sh' it will run with a 'sh' compatable set of functionality.

Both quite correct.

Mixing cygwin apps with native apps does tend to get nasty, and I should have mentioned that the shell build I mentioned is not a replacement for the cygwin zsh.

> 
> > I created a shortcut for this executable.  It mostly works.  I'm having some
> > issues, such as relative paths not working as expected, but that's not
> > surprising.
> >
> > Note that running this exe from cygwin bash doesn't work.  As already noted,
> > running the cygwin version of zsh doesn't work.
> >
> > I'm currently rebuilding zsh, under cygwin, to see if a version built under
> > vista behaves any better than the binary distributed with cygwin.
> 
> What version?  I'm building the latest 4.3.4 for cygwin right now, but
> there are issues with it, even on Win2k.
> 
> > Seth Kurtzberg
> >
> >
> > Larry Hall (Cygwin) wrote:
> >>
> >> Kyrre Nygård wrote:
> >>>
> >>> Hello!
> >>>
> >>> I'm having some trouble running zsh on Microsoft Windows Vista:
> >>>
> >>> 24295 [main] zsh 3104 C:\cygwin\bin\zsh.exe: *** fatal error - unable to
> >>> remap C:\cygwin\lib\zsh\4.3.2\zsh\zle.dll to same address as
> >>> parent(0xAB0000) != 0xC10000
> >>> 12 [main] zsh 2020 fork: child 3104 - died waiting for dll loading,
> >>> errno 11
> >>>
> >>> zsh-newuser-install:929: fork failed: resource temporarily unavailable
> >>> 14126 [main] zsh 1868 C:\cygwin\bin\zsh.exe: *** fatal error - unable to
> >>> remap C:\cygwin\lib\zsh\4.3.2\zsh\zle.dll to same address as
> >>> parent(0xAB0000) != 0xBB0000
> >>>
> >>> Can this be fixed somehow?
> >>
> >>
> >> One inquiry on each subject is sufficient.  You should also check for
> >> responses before any follow-up inquiry.  In this case, had you done this
> >> you would have seen:
> >>
> >> <http://cygwin.com/ml/cygwin/2007-04/msg00599.html>
> >>
> >> If you don't read the email list (which you should if you post to it),
> >> please let people know that you expect a direct response as well.  I've
> >> included your email address on this response this time.
> >>
> >> --
> >> Larry Hall                              http://www.rfk.com
> >> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> >> 216 Dalton Rd.                          (508) 893-9889 - FAX
> >> Holliston, MA 01746
> >>
> >> _____________________________________________________________________
> >>
> >> A: Yes.
> >>> Q: Are you sure?
> >>>> A: Because it reverses the logical flow of conversation.
> >>>>> Q: Why is top posting annoying in email?
> >>
> >> --
> >> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> >> Problem reports:       http://cygwin.com/problems.html
> >> Documentation:         http://cygwin.com/docs.html
> >> FAQ:                   http://cygwin.com/faq/
> >>
> >>
> >>
> >
> >
> 
> -- 
> Peter A. Castro <[email-masked]> or <[email-masked]>
>  	"Cats are just autistic Dogs" -- Dr. Tony Attwood

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/